unit About_U;
// Description: About Dialog
// By Sarah Dean
//
// -----------------------------------------------------------------------------
// Version history:
// 1.00 - 16th May 1999
//        Initial release
//
// 1.10 - 17th May 1999
//        Updated software description and size of dialog
//
// 2.1.0 - 16th July 1999
//         Added flash for use when releasing beta versions


interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls,
  OTFECrossCrypt_U, SDUURLLabel;

type
  TAbout_F = class(TForm)
    pbOK: TButton;
    Image1: TImage;
    lblAppID: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    lblBeta: TLabel;
    lblCrossCryptVersion: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Panel1: TPanel;
    Panel2: TPanel;
    Label3: TLabel;
    SDUURLLabel1: TSDUURLLabel;
    SDUURLLabel2: TSDUURLLabel;
    procedure FormShow(Sender: TObject);
  private
  public
    OTFECrossCrypt: TOTFECrossCrypt;
  end;

implementation

{$R *.DFM}

uses
  ShellApi,  // Needed for ShellExecute
  SDUGeneral,
  CrossCryptGUIConsts;

procedure TAbout_F.FormShow(Sender: TObject);
var
  majorVersion   : integer;
  minorVersion   : integer;
  revisionVersion: integer;
  buildVersion   : integer;
  OTFEVersion: string;
begin
  SDUGetVersionInfo('', majorVersion, minorVersion, revisionVersion, buildVersion);
  lblAppID.caption := 'v'+SDUGetVersionInfoString('');
  if APP_BETA_BUILD>-1 then
    begin
    lblAppID.caption := lblAppID.caption + ' BETA '+inttostr(APP_BETA_BUILD);
    end;

  lblBeta.visible := (APP_BETA_BUILD>-1);


  OTFEVersion := OTFECrossCrypt.VersionStr();
  if (OTFEVersion<>'') then
    begin
    OTFEVersion := 'CrossCrypt version installed: '+OTFEVersion;
    end;

  lblCrossCryptVersion.caption := OTFEVersion;
  lblCrossCryptVersion.left := (self.width - lblCrossCryptVersion.width) div 2;

  Panel1.caption := '';
  Panel2.caption := '';

end;

END.

