unit CrossCryptVolProperties;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,
  OTFECrossCrypt_U;

type
  TCrossCryptVolProperties_F = class(TForm)
    pbOK: TButton;
    Label15: TLabel;
    Label22: TLabel;
    Label5: TLabel;
    Label7: TLabel;
    Label6: TLabel;
    edDrive: TEdit;
    edUserDevice: TEdit;
    edVolumeFile: TEdit;
    edReadOnly: TEdit;
    edKernelDevice: TEdit;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    DriveLetter: char;
    OTFECrossCrypt: TOTFECrossCrypt;
  end;

implementation

{$R *.DFM}

procedure TCrossCryptVolProperties_F.FormShow(Sender: TObject);
var
  volumeInfo: TCrossCryptVolumeInfo;
begin
  edDrive.text := DriveLetter+':';

  if OTFECrossCrypt.GetVolumeInfo(DriveLetter, volumeInfo) then
    begin
    edVolumeFile.text := volumeInfo.Filename;
    edKernelDevice.text := volumeInfo.KernelModeDeviceName;
    edUserDevice.text := volumeInfo.UserModeDeviceName;
    if volumeInfo.ReadOnly then
      begin
      edReadOnly.text := 'Readonly';
      end
    else
      begin
      edReadOnly.text := 'Read/write';
      end;

    end
  else
    begin
    edVolumeFile.text := '<Unknown>';
    edKernelDevice.text := '<Unknown>';
    edUserDevice.text := '<Unknown>';
    edReadOnly.text := '<Unknown>';

    showmessage('Unable to get drive properties for drive '+DriveLetter+':');
    end;

end;


END.

