unit NewVolumeSize;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin;

type
  TNewVolumeSize_F = class(TForm)
    seSize: TSpinEdit;
    cbSizeUnits: TComboBox;
    pbCancel: TButton;
    pbOK: TButton;
    edFilename: TEdit;
    Label2: TLabel;
    pbBrowse: TButton;
    SaveDialog: TSaveDialog;
    Label3: TLabel;
    procedure pbOKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure pbBrowseClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    FFilename: string;
    FVolumeSize: int64;
  public
    property Filename: string read FFilename write FFilename;
    property VolumeSize: int64 read FVolumeSize write FVolumeSize;
  end;


implementation

{$R *.DFM}

uses
  SDUGeneral;


procedure TNewVolumeSize_F.pbOKClick(Sender: TObject);
begin
  if edFilename.text = '' then
    begin
    MessageDlg('Please specify a filename for the new volume file by clicking the '+#13+#10+'"..." button.', mtWarning, [mbOK], 0);
    exit;
    end;

  // Calculate the number of bytes...
  // Note: The in64(...) cast is REQUIRED, otherwise Delphi will calculate the
  //       value in 32 bits, and assign it to the 64 bit VolumeSize
  VolumeSize := int64(seSize.Value) * 1024 * 1024;

  if (cbSizeUnits.Items[cbSizeUnits.ItemIndex] = 'GB') then
    begin
    VolumeSize := VolumeSize * 1024;
    end;

  Filename := edFilename.text;
   
  ModalResult := mrOK;

end;

procedure TNewVolumeSize_F.FormShow(Sender: TObject);
begin
  edFilename.text := '';
  VolumeSize := 0;
  cbSizeUnits.ItemIndex := 0;

end;

procedure TNewVolumeSize_F.pbBrowseClick(Sender: TObject);
begin
  SDUOpenSaveDialogSetup(SaveDialog, edFilename.text);
  if SaveDialog.Execute then
    begin
    edFilename.text := SaveDialog.Filename;
    end;

end;


procedure TNewVolumeSize_F.FormCreate(Sender: TObject);
begin
  Filename := '';
  VolumeSize := 0;

end;

END.



